
local TStructureUnit = import('/lua/terranunits.lua').TStructureUnit
local TWeapons = import('/lua/terranweapons.lua')
local TOrbitalDeathLaserBeamWeapon = TWeapons.TOrbitalDeathLaserBeamWeapon
local CWeapons = import('/lua/cybranweapons.lua')
local DeathNukeWeapon = import('/lua/sim/defaultweapons.lua').DeathNukeWeapon

TBU0022 = Class(TStructureUnit) {

    OnStopBeingBuilt = function(self,builder,layer)
        TStructureUnit.OnStopBeingBuilt(self,builder,layer)
        local bp = self:GetBlueprint()
        if bp.Audio.Activate then
            self:PlaySound(bp.Audio.Activate)
        end
    end,

    Weapons = {
        OrbitalDeathLaserWeapon = Class(TOrbitalDeathLaserBeamWeapon){},
        DeathWeapon = Class(DeathNukeWeapon) {},
    },
}

TypeClass = TBU0022